Part RegularPolygon/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/it |Linea |Genera forme |Part |IconL=Part_Line.svg |IconR=Part_Builder.svg |IconC=Workbench_Part.svg }}")
No edit summary
Line 10: Line 10:
}}
}}


{{GuiCommand/it
<div class="mw-translate-fuzzy">
|Name=Part RegularPolygon
{{GuiCommand/it|Name=Part RegularPolygon|Name/it=Poligono regolare|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Poligono regolare|Workbenches=[[Part_Workbench/it|Parte]]|Version=0.14|SeeAlso=[[Part CreatePrimitives/it|Crea primitive]]}}
|Name/it=Part Poligono regolare
</div>
|MenuLocation=Parte → [[Part_Primitives/it|Crea primitive]] → Poligono regolare
|Workbenches=[[Part_Workbench/it|Part]], [[OpenSCAD_Workbench/it|OpenSCAD]]
|Version=0.14
|SeeAlso=[[Part_Primitives/it|Part Primitive]]
}}


<span id="Description"></span>
<span id="Description"></span>

Revision as of 16:26, 7 January 2024

Part Poligono regolare

Posizione nel menu
Parte → Crea primitive → Poligono regolare
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Part Primitive

Descrizione

Crea una primitiva geometrica Poligono regolare.

Utilizzo

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DatiPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatiCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()